<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<?php
		include('webhookUtils.php');
		antechamberHeader("Antechamber");
		antechamberMenu("index.php");
	?>
	
	<h2>Welcome to the antechamber!</h2>
	<p>This is where <a href="https://crowdflower.com/docs/api/webhooks/">webhooks</a> and results are posted by CrowdFlower and where CPS retrieves them. You can manually download them or browse the webhook logfile.</p>

	<h2>Summary</h2>
	<ul>
		<li><a href="log.php"><h3>log</h3></a>
			<p>Each time CrowdFlower posts a webhook, its <tt>signal</tt> attribute is stored here along with its date and hour.</p></li>
		<li><a href="raw.php"><h3>Raw Results</h3></a>
			<p>A <a href="https://secure.wikimedia.org/wikipedia/en/wiki/JSON">JSON</a> formatted file containing the <tt>payload</tt> attribute of the last <tt>'job_complete'</tt> webhook.</p></li>
		<li><a href="csv.php"><h3>CSV Formatted Results</h3></a>
			<p>Once they are received, the results are parsed in order to be csv formatted (rather than json formatted). <a href="../documentation/thankYouCF.php">Why ?</a></p></li>
		
		<li><a href="finalResults.php"><h3>Final Results</h3></a>
			<p>This is where CPS posts the <tt><a href="http://ns204207.ovh.net/videosense/userManual/xmlFiles.php">results.xml</a></tt> files it creates when the sort is over.</p></li>
	</ul>

	<?php
		printFooter();
	?>
</html>
