<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<?php
		include('manUtils.php');
		manHeader('Trouble Shooting');
		manMenu("trouble.php");
	?>

	<h2>Introduction</h2>
	<div class="diagramm">
		<p>I hope you will never have to browse this section, but, if you are facing problems, this is where you should go. It is supposed to cover as much possible problems as possible, but feel free to contact me if your problem persists : <strong>leo [[dot] perrin {aat} ecl2012 (dott)) ec-lyon "ddot" fr</strong>.</p>
	</div>

	<h3>CrowdFlower tells me that a job is finished but I haven't receive any mail. How is this possible?!</h3>
	<div class="diagramm">
		<p>Before anything else, go to the <a href="../antechamber">antechamber</a> and see if a file corresponding to this job is present in the <tt>CSV formatted results</tt> tab. If it is the case, it is strange, yet a good thing. If it is not, it is much more annoying: the webhook was not sent, <strong>and it contains your results</strong>. So basically, you don't have your results while you should.</p>
		<p></p>If you have triple checked the <a href="../userManual/antechamber.php">configuration of your antechamber</a>, the problem might come from CrowdFlower: ask them if they have changed anything. If they say they did, feel free to email them insults (I wanted to, once).</p>
		<p>However, no matter how delightful it is, here's how you can bypass this issue by manually downloading the results and turning them into a CSV file:</p>
		<ul>
			<li>
				<p>First, you must download your <a href="https://secure.wikimedia.org/wikipedia/en/wiki/JSON">JSON</a> formatted results. For that, you must go to this address:
				<div class="shell">https://api.crowdflower.com/v1/jobs/$JOB_ID.json?key=$CF_KEY</div>
				Where:
				<ul>
					<li><tt>$JOB_ID</tt> is the identifier of the job you're interested in.</li>
					<li><tt>$CF_KEY</tt> is the key CrowdFlower gave you <a href="https://api.crowdflower.com/account">here</a>.</li>
				</ul>
				</p>
			</li>
			<li>Then you have to upload to the antechamber. No php script handles it right now, so you have to do it manually using your favorite ftp client. You must put the JSON file you just obtained in the <tt>raw</tt> folder of the <a href="../antechamber/"><tt>antechamber</tt></a>. Then, click on the <tt>Raw Results</tt> tab. There, select the file you just uploaded in the menu diplayed at the bottom of the page and click on the <tt>Transform it!</tt> button. It will create the corresponding csv file.</li>
		</ul>
	</div>

	<?php
		printFooter();
	?>
</html>

